tclap: TCLAP::VersionVisitor Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TCLAP::VersionVisitor Class Reference

A Vistor that will call the version method of the given CmdLineOutput for the specified CmdLine object and then exit. More...

`#include <VersionVisitor.h>`

Inheritance diagram for TCLAP::VersionVisitor:

[legend]
Collaboration diagram for TCLAP::VersionVisitor:

[legend]
List of all members.

## Public Member Functions
| VersionVisitor (CmdLineInterface *cmd, CmdLineOutput **out)
| Constructor.
void | visit ()
| Calls the version method of the output object using the specified CmdLine.
## Protected Attributes
CmdLineInterface * | _cmd
| The CmdLine of interest.
CmdLineOutput ** | _out
| The output object.

## Detailed Description

A Vistor that will call the version method of the given CmdLineOutput for the specified CmdLine object and then exit.

Definition at line 37 of file VersionVisitor.h.

## Constructor & Destructor Documentation

TCLAP::VersionVisitor::VersionVisitor | ( | CmdLineInterface * | cmd,
|  | CmdLineOutput ** | out
| ) | `[inline]`

  | Constructor. Parameters:
  | cmd | - The CmdLine the output is generated for.
  | out | - The type of output.
Definition at line 58 of file VersionVisitor.h.

## Member Function Documentation

void TCLAP::VersionVisitor::visit | ( |  | ) | `[inline, virtual]`

| Calls the version method of the output object using the specified CmdLine. Reimplemented from TCLAP::Visitor. Definition at line 65 of file VersionVisitor.h.

## Member Data Documentation

CmdLineInterface* TCLAP::VersionVisitor::_cmd`[protected]`

| The CmdLine of interest. Definition at line 44 of file VersionVisitor.h.

CmdLineOutput** TCLAP::VersionVisitor::_out`[protected]`

| The output object. Definition at line 49 of file VersionVisitor.h.

The documentation for this class was generated from the following file:

- VersionVisitor.h